Subject: Re: Git: relicensing test-lib.sh from GPLv2 to GPLv2+

From: "Michael J Gruber" <[email-masked]>
Date: Sun, 04 Apr 2010 15:11:34 +0200

On Fri, 02 Apr 2010 09:29 +0200, "Michal Sojka" <[email-masked]>
wrote:
> To all contributors to test-lib.sh mentioned in Bcc:
> 
> You're getting this message because you're recorded as contributing one
> or more changes to the test-lib.sh file in the Git project, and are
> therefore one of many copyright holders in the file.
> 
> We would like to extend the license of that file from GPLv2 only
> license to GPLv2+ by adding the recommended "or any later version"
> clause to the license. This will give us license compatibility with
> GPLv3 projects, which would like to reuse test-lib.sh.
> 
> Please respond to this email with one of the following:
> 
>  YES, I agree to relicense all my contributions to test-lib.sh to GPLv2+
>  with the addition of the "or any later version" clause.
> 
>  NO, I would rather not, please send me more email to convince me.
> 
> I'm putting your address to Bcc as most people are probably not
> interested in receiving responses from dozens of other people. I will
> track the status of received responses at
> https://git.wiki.kernel.org/index.php/Test-lib_reclicensing. Please do
> not remove [email-masked] when responding so that your response is
> available to everyone.

What else do I need to do besides my acked-by to Junio's patch in
<[email-masked]> on 3/3?

For whatever's sake:
>  YES, I agree to relicense all my contributions to test-lib.sh to GPLv2+
>  with the addition of the "or any later version" clause.

Michael